%define oname camlp-streams

Name:           ocaml-%{oname}
Version:        5.0.1
Release:        %mkrel 1
Summary:        The Stream and Genlex libraries for use with Camlp4 and Camlp5

Group:          Development/OCaml
License:        LGPLv2 with exception
URL:            https://github.com/ocaml/%{oname}
Source0:        https://github.com/ocaml/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam

%description
This package provides two library modules:

Stream: imperative streams, with in-place update and memoization of the latest
element produced.
Genlex: a small parameterized lexical analyzer producing streams of tokens from
streams of characters.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %{buildroot}%{_prefix}/doc

%check
dune runtest

%files
%doc CHANGES.md README.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/dune-package
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt*
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*


%changelog
* Thu Oct 06 2022 pterjan <pterjan> 5.0.1-1.mga9
+ Revision: 1895154
- Update to 5.0.1

* Thu May 19 2022 pterjan <pterjan> 5.0-1.mga9
+ Revision: 1858995
- imported package ocaml-camlp-streams

